package com.qmth.sop.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.sop.business.entity.SysSupplier;
import com.qmth.sop.common.enums.UserRoleEnum;

import java.util.List;
import java.util.Map;

/**
 * 供应商表 服务类
 *
 * @author: shudonghui
 * @date: 2023-08-02 14:18:39
 * @version: 1.0
 * @email: shudonghui@qmth.com.cn
 * @Company: www.qmth.com.cn
 */
public interface SysSupplierService extends IService<SysSupplier> {

    /**
     * 查询列表
     *
     * @param iPage
     * @return
     */
    IPage<SysSupplier> query(IPage<Map> iPage);

    /**
     * 新增供应商表
     *
     * @param sysSupplier
     */
    void add(SysSupplier sysSupplier);

    /**
     * 修改供应商表
     *
     * @param sysSupplier
     */
    void update(SysSupplier sysSupplier);

    /**
     * 删除供应商表
     *
     * @param id
     */
    void delete(Long id);


    void enable(long id);

    /**
     * 根据userRole查找供应商
     *
     * @param userRoleEnum
     * @return
     */
    List<SysSupplier> findByUserRoleEnum(UserRoleEnum userRoleEnum);
}